<?php
error_reporting( 0 );
require 'httplib.class.php';
$f=new httplib;
$uin=$_POST['qq'];
$pw=$_POST['pwd'];
$fu='121.14.102.159';
$r=rand(200,999);
$f -> open($fu.':14000');
$g=file_get_contents('http://webpresence.qq.com/getonline?type=1&'.$uin.':');
if(strstr($g,'1')==false){
$f -> post('VER=1.4&CON=0&CMD=Login&SEQ='.$r.'&UIN='.$uin.'&PS='.strtoupper(md5($pw)).'&M5=1&LG=1&LC=2EC70D1101DB674F&GD=V1A5GPI7WWW7CJ8O&CKE=');
}else{
$f->post('VER=1.4&CON=0&CMD=GetMsgEx&SEQ='.$r.'&UIN='.$uin.'&SID=&XP=C4CA4238A0B92382&CM=2&UN=0');
}
$f->send();
$d=$f->response();
parse_str($d,$a);
print_r($a);
?>